Subject: [Ietf-calsify] Issue 63: Section 4.8.5.3 Recurrence Date/Times: RDATE < DTSTART

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Fri Aug 3 14:25:01 2007

Disclaimer: This is the third time I bring up this issue. See:

http://lists.osafoundation.org/pipermail/ietf-calsify/2006-November/001349.html
http://lists.osafoundation.org/pipermail/ietf-calsify/2007-February/001522.html

Cyrus recently brought up the fact that the deprecation of
RANGE=THISANDFUTURE (Issue 48) might be an issue with unbounded
recurring calendar components in the context of iTIP.

I have already suggested a solution for the case where an
organizer cancels all future recurrence instances of a
recurring calendar component.  See:

http://lists.osafoundation.org/pipermail/ietf-calsify/2007-July/001746.html

This time I would like to suggest a solution for the case where
an organizer changes all future recurrence instances of a recurring
calendar component:

1- Specify RDATE properties for all past recurrence instances
    and define exception components for them if needed. The
    number of past recurrence instances is always finite...

2- Remove EXDATE properties for any past recurrence instances.

3- Set DTSTART to the first recurrence instance to which you
    want the change to apply.

The only issue here is that we need to clarify that RDATE can
specify a value less than the value specified by DTSTART.

Cheers,
Bernard